.aolei-home-case {
    padding-top: 280px;
    padding-bottom: 50px;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    transition: all 0.3s;
}

.aolei-home-case h2,
.aolei-home-case h4 {
    font-family: var(--title-font-family);
    font-weight: 400;
    line-height: normal;
    text-align: center;
    color: #FFF;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.aolei-home-case h2 {
    font-size: var(--font-40);
    margin-bottom: 16px;
}

.aolei-home-case h4 {
    font-size: var(--font-24);
    margin-bottom: 265px;
}

.aolei-home-case .case-data {
    width: 100%;
    padding: 24px;
    display: inline-flex;
    gap: 30px;
    padding: 24px;
    flex-direction: column;
    border: 1.75px solid rgba(255, 255, 255, 0.30);
    background: linear-gradient(114deg, #FFF 1.94%, rgba(238, 238, 238, 0.70) 100%);
    backdrop-filter: blur(13.125px);
    transition: all 0.3s;
}

.aolei-home-case .case-title-box {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 8px;
}

.aolei-home-case .case-title-item {
    position: relative;
    cursor: pointer;
    padding: 12px;
    color: var(--title-second-color);
    padding: 12px;
    transition: all 0.3s;
}

.aolei-home-case .case-title-item.active,
.aolei-home-case .case-title-item:hover {
    background: var(--color-primary);
    color: #FFF;
}

.aolei-home-case .case-title-item.active::after {
    content: '';
    position: absolute;
    background: var(--color-primary);
    bottom: 0;
    left: 50%;
    transform: translate(-50%, calc(100% - 1px));
    width: 21px;
    height: 10px;
    clip-path: polygon(0% 0%, 50% 100%, 100% 0%);
    transition: all 0.3s;
}

.aolei-home-case .case-content-box {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 26px;
    padding: 12px;
    border: 1px solid #E3E3E3;
    transition: all 0.3s;
}

.aolei-home-case .case-content-item {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    padding: 12px;
    transition: all 0.3s;
    cursor: pointer;
}

.aolei-home-case .case-content-item img {
    width: 48px;
    height: 48px;
    object-fit: contain;
    object-position: center center;
    overflow: hidden;
}

.aolei-home-case .case-content-item a {
    font-size: var(--font-16);
    font-weight: 500;
    line-height: normal;
    font-family: Montserrat;
    color: var(--title-second-color);
    text-align: center;
}

.aolei-home-case .case-content-item:hover,
.aolei-home-case .case-content-item.active {
    background: var(--color-primary);
}

.aolei-home-case .case-content-item:hover img,
.aolei-home-case .case-content-item.active img {
    filter: brightness(0) invert(1);
}

.aolei-home-case .case-content-item:hover span,
.aolei-home-case .case-content-item.active span {
    color: #FFF;
}

@media (max-width: 1200px) {
    .aolei-home-case {
        padding-top: 120px;
    }

    .aolei-home-case h4 {
        margin-bottom: 80px;
    }

    .aolei-home-case .case-data {
        padding: 20px;
    }

    .aolei-home-case .case-content-box {
        gap: 10px;
        padding: 12px;
    }

    .aolei-home-case .case-content-item {
        gap: 10px;
        padding: 10px;
    }
}

@media (max-width: 992px) {
    .aolei-home-case {
        padding-top: 100px;
    }

    .aolei-home-case h4 {
        margin-bottom: 60px;
    }

    .aolei-home-case .case-data {
        padding: 16px;
    }

    .aolei-home-case .case-content-box {
        grid-template-columns: repeat(4, 1fr);
    }

    .aolei-home-case .case-content-item {
        gap: 10px;
        padding: 10px;
    }
}

@media (max-width: 768px) {
    .aolei-home-case {
        padding-top: 50px;
    }

    .aolei-home-case h4 {
        margin-bottom: 30px;
    }

    .aolei-home-case .case-data {
        padding: 14px;
    }

    .aolei-home-case .case-content-box {
        gap: 8px;
        grid-template-columns: repeat(3, 1fr);
    }

    .aolei-home-case .case-content-item {
        gap: 8px;
    }
}

@media (max-width: 576px) {
    .aolei-home-case h4 {
        margin-bottom: 20px;
    }

    .aolei-home-case .case-data {
        gap: 20px;
        padding: 10px;
    }

    .aolei-home-case .case-content-box {
        gap: 0;
        padding: 6px;
    }

    .aolei-home-case .case-content-item {
        gap: 6px;
        padding: 8px;
    }
}

@media (max-width: 375px) {
    .aolei-home-case .case-content-box {
        grid-template-columns: repeat(2, 1fr);
    }
}